package com.shining.cloud.mapper.report;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.njcn.pojo.configuration.GDInformation;
import com.njcn.pojo.configuration.Line;
import com.njcn.pojo.configuration.Province;
import com.njcn.pojo.configuration.SubStation;

public interface ShiningDeviceMapper{
	public List<Province> getProvince(@Param("list")List<Integer> lineIndexs);
	
	public List<GDInformation> getGdInfo(@Param("list")List<Integer> lineIndexs,@Param("provinceIndex")Long provinceIndex);
	
	public List<SubStation> getSubInfo(@Param("list")List<Integer> lineIndexs,@Param("gdIndex")Long gdIndex);
	
	public List<Line> getLineInfo(@Param("list")List<Integer> lineIndexs,@Param("subIndex")Long subIndex);

	public List<Line> getLineInfoStatus(@Param("list")List<Integer> lineIndexs,@Param("subIndex")Long subIndex);
	
	public List<Line> getLineInfoFlowA(@Param("list")List<Integer> lineIndexs,@Param("subIndex")Long subIndex);

	public List<Line> getLineInfoFlowB(@Param("list")List<Integer> lineIndexs,@Param("subIndex")Long subIndex,
			@Param("startTime")Date startTime,@Param("endTime")Date endTime);
	
	public List<Line> queryByName(@Param("lineName")String lineName,@Param("list")List<Integer> lineIndexs);
	
}	